/*
Copyright (c) 2006 NoisyB


This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/
#ifndef MISC_XML_H
#define MISC_XML_H
#include <libxml/tree.h>
typedef struct _xmlDoc xml_doc_t;
typedef struct _xmlNode xml_node_t;

extern xml_doc_t *xml_parse (const char *fname);
extern int xml_free (xml_doc_t *d);

extern xml_node_t *xml_get_rootnode (xml_doc_t *d);
extern xml_node_t *xml_get_childnode (xml_node_t *n);
extern xml_node_t *xml_get_nextnode (xml_node_t *n);

extern int xml_is_empty_node (xml_node_t *n);
extern const unsigned char *xml_get_string (xml_node_t *n);

extern const unsigned char *xml_get_prop (xml_node_t *n, const char *name);

extern int xml_strcmp (const unsigned char *a, const char *b);

#endif
